org.apache.maven.scm.command.lock

## Class AbstractLockCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.lock.AbstractLockCommand

All Implemented Interfaces:
  Command

    public abstract class AbstractLockCommand
    extends AbstractCommand

Version:
  $Id: AbstractLockCommand.java 525180 2007-04-03 15:45:31Z evenisse $
Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLockCommand()`

### Method Summary

Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, File workingDirectory, CommandParameters parameters)`
`protected abstract ScmResult` `executeLockCommand(ScmProviderRepository repository, File workingDirectory, String filename)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, executeCommand, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLockCommand

    public AbstractLockCommand()

### Method Detail

#### executeLockCommand

    protected abstract ScmResult executeLockCommand(ScmProviderRepository repository,
                               File workingDirectory,
                               String filename)
                                             throws ScmException

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                           File workingDirectory,
                           CommandParameters parameters)
                             throws ScmException

Throws:
  `ScmException`